# stats 

The `stats` module includes useful functions to compute statistical
characterizations of the data and the output results.

## Posterior Predictive Checks

```@docs
BarBay.stats.logfreq_ratio_popmean_ppc
```

```@docs
BarBay.stats.logfreq_ratio_bc_ppc
```

```@docs
BarBay.stats.logfreq_ratio_multienv_ppc
```

```@docs
BarBay.stats.freq_bc_ppc
```

## Naive estimates

```@docs
BarBay.stats.naive_prior
```

```@docs
BarBay.stats.naive_fitness
```

## Miscellaneous statistical functions

```@docs
BarBay.stats.build_getq
```

```@docs
BarBay.stats.matrix_quantile_range
```